<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__wcm__wps__credential__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_wcm_wps_credential_t</compoundname>
    <includes local="no">cy_wcm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__wcm__wps__credential__t_1a3073e0f51c0149524f08f060725e9214" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__typedefs_1ga1ebac1800928741a07555a14539f3748">cy_wcm_ssid_t</ref></type>
        <definition>cy_wcm_ssid_t cy_wcm_wps_credential_t::ssid</definition>
        <argsstring />
        <name>ssid</name>
        <briefdescription>
<para>AP SSID (name) - must be null-terminated. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="526" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="526" />
      </memberdef>
      <memberdef id="structcy__wcm__wps__credential__t_1a8274f6ea76c0d1df464038bf3a95a1c7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__enums_1ga8b22f5a47073d5219440566d0e53e521">cy_wcm_security_t</ref></type>
        <definition>cy_wcm_security_t cy_wcm_wps_credential_t::security</definition>
        <argsstring />
        <name>security</name>
        <briefdescription>
<para>AP security type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="527" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="527" />
      </memberdef>
      <memberdef id="structcy__wcm__wps__credential__t_1a050204a4875f55a337aae327c9d09e7e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__typedefs_1ga0c9f42f203c1dee3e3344163d1fdeba8">cy_wcm_passphrase_t</ref></type>
        <definition>cy_wcm_passphrase_t cy_wcm_wps_credential_t::passphrase</definition>
        <argsstring />
        <name>passphrase</name>
        <briefdescription>
<para>AP passphrase - must be null-terminated. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="528" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="528" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure used to receive the AP credential after WPS is completed successfully from <ref kindref="member" refid="group__group__wcm__functions_1ga97e7212b4d3392a310682ff02f0d8d51">cy_wcm_wps_enrollee</ref>. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="529" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="524" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="525" />
    <listofallmembers>
      <member prot="public" refid="structcy__wcm__wps__credential__t_1a050204a4875f55a337aae327c9d09e7e" virt="non-virtual"><scope>cy_wcm_wps_credential_t</scope><name>passphrase</name></member>
      <member prot="public" refid="structcy__wcm__wps__credential__t_1a8274f6ea76c0d1df464038bf3a95a1c7" virt="non-virtual"><scope>cy_wcm_wps_credential_t</scope><name>security</name></member>
      <member prot="public" refid="structcy__wcm__wps__credential__t_1a3073e0f51c0149524f08f060725e9214" virt="non-virtual"><scope>cy_wcm_wps_credential_t</scope><name>ssid</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>